
package eu.dnetlib.dhp.skgif.model;

import java.io.Serializable;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * @author miriam.baglioni
 * @Date 01/09/23
 */
public class Relations implements Serializable {
	@JsonProperty("relation_type")
	private String relation_type;
	@JsonProperty("product_list")
	private List<MinProduct> product_list;

	public static Relations newInstance(String relClass, List<MinProduct> target) {
		Relations r = new Relations();
		r.relation_type = relClass;
		r.product_list = target;
		return r;
	}

	public String getRelation_type() {
		return relation_type;
	}

	public void setRelation_type(String relation_type) {
		this.relation_type = relation_type;
	}

	public List<MinProduct> getProduct_list() {
		return product_list;
	}

	public void setProduct_list(List<MinProduct> product_list) {
		this.product_list = product_list;
	}
}
